Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.extensions.authoring
Interface ActionResult

    public interface ActionResult

The `ActionResult` of an AuthoringAction can display messages to the user and control the state of the form on the next load via its `AuthoringDirective`

Since:
  v8.0

Method Summary
`AuthoringDirective` | `directive()` The directive to perform now that the AuthoringAction has completed its processing.
`Localized` | `errorMessage()` Return a `Localized`error message that will be shown in the authoring interface.``
`Localized` | `successMessage()` Return a `Localized`success message that will be shown in the authoring interface.``
`Localized` | `warningMessage()` Return a `Localized`warning message that will be shown in the authoring interface.``

Method Detail

### directive

    AuthoringDirective directive()

  The directive to perform now that the AuthoringAction has completed its processing.

  Returns:
    an `AuthoringDirective`

### errorMessage

    Localized errorMessage()

  Return a `Localized`error message that will be shown in the authoring interface. If `null` is returned no error message will be shown.

  ``
  Returns:
    `Localized`message or null``

### warningMessage

    Localized warningMessage()

  Return a `Localized`warning message that will be shown in the authoring interface. If `null` is returned no warning message will be shown.

  ``
  Returns:
    `Localized`message or null``

### successMessage

    Localized successMessage()

  Return a `Localized`success message that will be shown in the authoring interface. If `null` is returned no success message will be shown.

  ``
  Returns:
    `Localized`message or null``

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD